OPENSSL-PKEYPARAM(1SSL)

NUME
openssl-pkeyparam - comandă de procesare a parametrilor algoritmului cheii publice

SINOPSIS
openssl pkeyparam [-help] [-in nume-fișier] [-out nume-fișier] [-text] [-noout] [-check] [-engine id] [-provider nume] [-provider-path ruta] [-provparam [nume:]cheie=valoare] [-propquery propq]

DESCRIERE
Această comandă procesează parametrii algoritmului de cheie publică. Aceștia pot fi verificați pentru corectitudine și componentele lor pot fi imprimate.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-in nume-fișier
    Aceasta specifică fișierul de intrare din care se citesc parametrii sau intrarea standard dacă această opțiune nu este specificată.

-out nume-fișier
    Aceasta specifică numele fișierului de ieșire în care se vor scrie parametrii sau ieșirea standard dacă această opțiune nu este specificată. Numele fișierului de ieșire poate fi același cu numele fișierului de intrare, ceea ce duce la înlocuirea conținutului fișierului. Rețineți că In/Ieș de fișier nu este atomică. Fișierul de ieșire este trunchiat și apoi scris.

-text
    Imprimă parametrii în text simplu în plus față de versiunea codificată.

-noout
    Nu afișează la ieșire versiunea codificată a parametrilor.

-check
    Această opțiune verifică corectitudinea parametrilor.

-engine id
    Consultați secțiunea «Opțiuni motor» din openssl(1). Această opțiune este depreciată.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

EXEMPLE
Imprimă versiunea text a parametrilor:

 openssl pkeyparam -in param.pem -text

NOTE
Nu există opțiuni -inform sau -outform pentru această comandă deoarece numai formatul PEM este acceptat, tipul de cheie fiind determinat de anteturile PEM.

CONSULTAȚI ȘI
openssl(1), openssl-genpkey(1), openssl-rsa(1), openssl-pkcs8(1), openssl-dsa(1), openssl-genrsa(1), openssl-gendsa(1)

ISTORIC
Opțiunea -engine a fost depreciată în OpenSSL 3.0.

DREPTURI DE AUTOR
Drepturi de autor 2006-2021 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.